MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

Classes | Typedefs | Functions
lti_geometry.h File Reference
`#include "lti_types.h"`
Include dependency graph for lti_geometry.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | LTIGeomPoint< T >
class | LTIGeomDim< T >
class | LTIGeomRect< T, inclusive >
class | LTIGeomBBox< T >

## Typedefs
typedef LTIGeomRect< lt_int32, true > | LTIGeomIntRect
typedef LTIGeomDim< lt_int32 > | LTIGeomIntDim
typedef LTIGeomPoint< lt_int32 > | LTIGeomIntPoint
typedef LTIGeomRect< double, false > | LTIGeomDblRect
typedef LTIGeomDim< double > | LTIGeomDblDim
typedef LTIGeomPoint< double > | LTIGeomDblPoint
typedef LTIGeomRect< lt_int32, true > | MG3Rect
typedef LTIGeomDim< lt_int32 > | MG3Dim
typedef LTIGeomPoint< lt_int32 > | MG3Point
typedef LTIGeomRect< lt_int32, true > | IntRect
typedef LTIGeomDim< lt_int32 > | IntDimension
typedef LTIGeomPoint< lt_int32 > | IntPoint

## Functions
template<class T >
LTIGeomPoint< T > | operator+ (const LTIGeomPoint< T > &p1, const LTIGeomPoint< T > &p2)
template<class T >
LTIGeomPoint< T > | operator- (const LTIGeomPoint< T > &p1, const LTIGeomPoint< T > &p2)
template<class T , bool inclusive>
LTIGeomRect< T, inclusive > | operator+ (const LTIGeomRect< T, inclusive > &r1, const LTIGeomPoint< T > &offset)
template<class T , bool inclusive>
LTIGeomRect< T, inclusive > | operator- (const LTIGeomRect< T, inclusive > &r1, const LTIGeomPoint< T > &offset)
template<class T , bool inclusive>
LTIGeomRect< T, inclusive > | operator& (const LTIGeomRect< T, inclusive > &r1, const LTIGeomRect< T, inclusive > &r2)
template<class T , bool inclusive>
LTIGeomRect< T, inclusive > | operator| (const LTIGeomRect< T, inclusive > &r1, const LTIGeomRect< T, inclusive > &r2)

## Typedef Documentation

typedef LTIGeomDim<lt_int32> IntDimension

Definition at line 558 of file lti_geometry.h.

typedef LTIGeomPoint<lt_int32> IntPoint

Definition at line 559 of file lti_geometry.h.

typedef LTIGeomRect<lt_int32, true> IntRect

Definition at line 557 of file lti_geometry.h.

typedef LTIGeomDim<double> LTIGeomDblDim

Definition at line 548 of file lti_geometry.h.

typedef LTIGeomPoint<double> LTIGeomDblPoint

Definition at line 549 of file lti_geometry.h.

typedef LTIGeomRect<double, false> LTIGeomDblRect

Definition at line 547 of file lti_geometry.h.

typedef LTIGeomDim<lt_int32> LTIGeomIntDim

Definition at line 544 of file lti_geometry.h.

typedef LTIGeomPoint<lt_int32> LTIGeomIntPoint

Definition at line 545 of file lti_geometry.h.

typedef LTIGeomRect<lt_int32, true> LTIGeomIntRect

Definition at line 543 of file lti_geometry.h.

typedef LTIGeomDim<lt_int32> MG3Dim

Definition at line 553 of file lti_geometry.h.

typedef LTIGeomPoint<lt_int32> MG3Point

Definition at line 554 of file lti_geometry.h.

typedef LTIGeomRect<lt_int32, true> MG3Rect

Definition at line 552 of file lti_geometry.h.

## Function Documentation

template<class T , bool inclusive>

LTIGeomRect<T, inclusive> operator& | ( | const LTIGeomRect< T, inclusive > & | r1,
|  | const LTIGeomRect< T, inclusive > & | r2
| ) |  |

Definition at line 425 of file lti_geometry.h.

template<class T >

LTIGeomPoint<T> operator+ | ( | const LTIGeomPoint< T > & | p1,
|  | const LTIGeomPoint< T > & | p2
| ) |  |

Definition at line 110 of file lti_geometry.h.

template<class T , bool inclusive>

LTIGeomRect<T, inclusive> operator+ | ( | const LTIGeomRect< T, inclusive > & | r1,
|  | const LTIGeomPoint< T > & | offset
| ) |  |

Definition at line 407 of file lti_geometry.h.

template<class T >

LTIGeomPoint<T> operator- | ( | const LTIGeomPoint< T > & | p1,
|  | const LTIGeomPoint< T > & | p2
| ) |  |

Definition at line 118 of file lti_geometry.h.

template<class T , bool inclusive>

LTIGeomRect<T, inclusive> operator- | ( | const LTIGeomRect< T, inclusive > & | r1,
|  | const LTIGeomPoint< T > & | offset
| ) |  |

Definition at line 416 of file lti_geometry.h.

template<class T , bool inclusive>

LTIGeomRect<T, inclusive> operator| | ( | const LTIGeomRect< T, inclusive > & | r1,
|  | const LTIGeomRect< T, inclusive > & | r2
| ) |  |

Definition at line 434 of file lti_geometry.h.

LizardTech